| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Protocols
Protocols.LDAP
Protocols.LDAP.client

# Method Protocols.LDAP.client()->read()

Method read

  `mapping(string:string|array(string)) read(string object_name, void|string filter, void|array(string) attrs, void|int attrsonly, void|mapping(string:array(int|string)) controls, void|int flags)`

Description

  Reads a specified object in the LDAP server. object_name is the distinguished name for the object. The rest of the arguments are the same as to search .

  The default filter and attributes that might have been set in the LDAP URL doesn't affect this call. If filter isn't set then `"(objectClass=*)"` is used.

Returns

  Returns a mapping of the requested attributes. It has the same form as the response from result.fetch .

See also

  search